/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/

#include	"memory_debug.h"
#include	"lc_encode.h"
#include	"tr_html.h"

XL_SEXP * html_br();

void
init_html_br(XLISP_ENV * env)
{
	set_env(env,l_string(std_cm,"BR"),
		get_func_prim(html_br,FO_APPLICATIVE,0,1,1));
}

XL_SEXP *
html_br(XLISP_ENV * env,XL_SEXP * s,XLISP_ENV * a,XL_SYM_FIELD * sf)
{
L_CHAR ch;
TR_HTML_INFO * inf;
	inf = tr_get_html_info(env);
	ch = '\n';
	tr_html_string_data(inf,&ch,1);
	return 0;
}


